equivs (2.3.2) unstable; urgency=medium

  * Team upload.

  [ Axel Beckert ]
  * Use --ignore-builtin-builddeps instead of -d as #958414 fix.
    Thanks Guillem Jover!
  * Override team/pkg-perl/testsuite/no-team-tests as equivs is a native
    application and has deliberately a dedicated debian/tests/control.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Set Testsuite header for perl package.

  [ Roland Clobus ]
  * Reproducible changelog entry.
    The generated packages will have a changelog entry with a reproducible
    timestamp (if required).
    See https://reproducible-builds.org/docs/source-date-epoch/

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.7.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Apr 2025 01:46:29 +0200

equivs (2.3.1) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * examples/libstdc++6-dev.ctl: make arch:any.
  * Add a debian/gitlab-ci.yml file.
  * Add autopkgtests.

  [ Axel Beckert ]
  * Don't let dpkg-buildpackage check for build-dependencies as it
    implicitly and unconditionally adds build-essential which
    equivs-generated metapackages don't need in nearly any case.
    (Closes: #958414; thanks Johannes 'josch' Schauer!)
  * Bump debhelper-compat to 13.

 -- Axel Beckert <abe@debian.org>  Wed, 10 Jun 2020 02:04:04 +0200

equivs (2.3.0) unstable; urgency=low

  [ Paul Wise ]
  * Fix directory indicator when TMPDIR is set (See #660765, mitigates
    #897927. and closes: #875677)

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1.0.3-1, 1.0.2-1.

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Bump generated packages to current state of the art, too:
    + Set "Rules-Requires-Root: no"
    + Declare compliance with Debian Policy 4.5.0.
    + Use dh compat to 12 via build-dependency and drop debian/compat.
    + Use minimal debian/rules with dh sequencer.
    + Convert copyright file to machine-readable DEP5 format.
  * Fix "equivs-build --full" by using format "3.0 (native)". Thanks
    Arnaud Patard (Rtp) for the bug report! (Closes: #953556)
  * Fix signing error at the end of "equivs-build --full".
  * Drop building packages with fakeroot, now that we set R³.
    + Drop dependency on fakeroot accordingly.
  * Always use dpkg-buildpackage. (Closes: #880165)
  * Add debian/clean to remove common artifacts of manual testing.

 -- Axel Beckert <abe@debian.org>  Sun, 19 Apr 2020 07:48:01 +0200

equivs (2.2.0) unstable; urgency=low

  [ Juan Picca ]
  * Add support to use alternative templates. (Closes MR !1)

 -- Axel Beckert <abe@debian.org>  Wed, 14 Nov 2018 04:15:22 +0100

equivs (2.1.1) unstable; urgency=medium

  * Team upload.

  [ Damyan Ivanov ]
  * change Priority from 'extra' to 'optional'

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Johannes 'josch' Schauer ]
  * support Essential field (closes: #870288)

  [ gregor herrmann ]
  * Use HTTPS in debian/copyright.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Oct 2018 03:49:33 +0200

equivs (2.1.0) unstable; urgency=low

  [ Axel Beckert ]
  * Adopt equivs under the Debian Perl Group umbrella. (Closes: #852223)
  * Import package history into a Git repository and add Vcs-*
    headers. (Closes: #663424)
    + Add a .gitignore file.
  * Apply wrap-and-sort.
  * Switch debian/rules to minimal dh v7 style.
    + Use debian/install instead calling cp inside debian/rules.
    + Remove obsolete variables.
    + Replace usage of dpkg-parsechangelog with $SOURCE_DATE_EPOCH. Fixes
      lintian warning debian-rules-parses-dpkg-parsechangelog.
  * Rename debian/equivs.* to debian/*.
  * Move documentation files from debian/*.pod to *.pod.
  * Move man page generation from debian/rules to a new Makefile.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.
  * pod2man call: Replace "Debian/GNU" with just "Debian".
  * Use $TMPDIR as directory for package builds if set in the
    environment. (Closes: #660765)

  [ Wookey ]
  * Add Support for links. (Closes: #701626, #682929, LP: #1132813)
  * Fix typos in debian/README.Debian.

  [ John Reese ]
  * Add support to build source packages, e.g. for source-only uploads as
    required for uploading to Ubuntu PPAs. (Closes: #603850)

 -- Axel Beckert <abe@debian.org>  Sat, 29 Jul 2017 01:12:47 +0200

equivs (2.0.10) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 16:56:59 +0300

equivs (2.0.10~exp1) experimental; urgency=medium

  * QA upload. (See: #852223)
  * Strip subdirectories before installing file listed in "Files:".
    Thanks to RjY <rjy@users.sourceforge.net> and
    Euan Thoms <euan@potensol.com>. (Closes: #662946)
  * Fix that equivs-build doesn't work if & is part of PWD.
    Thanks to Martin Mrazik and era eriksson <era@iki.fi>.
    (Closes: #679101) (LP: #881153, #1016402)
  * debian/README.Debian:
    - Fix references. Thanks to Regid Ichira <regid23@nt1.in>
      (Closes: #724608)
  * debian/rules:
    - Thanks to Reiner Herrmann <reiner@reiner-h.de>, this package should be
      reproducible now. (Closes: #786714)
  * debian/copyright:
    - Make DEP5 copyright
  * debian/{control,compat}
    - Bump debhelper compat level to 9 (no change required).
  * Bump versions in template (no change required):
    - standard version to 3.9.8
    - debhelper compat level to 9
    - source version to 3.0 (quilt)
  * debian/control:
    - Bump stardard version to 3.9.8 (no change required)
    - Set Maintainer as "Debian QA Group <packages@qa.debian.org>"
      This is the first time to do QA upload for this package.
  * debian/source/format:
    - Bump to 3.0 (native).

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 21 Apr 2017 19:20:01 +0900

equivs (2.0.9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Multi-Arch support. (Closes: #692934 693548 697820)

 -- Wookey <wookey@debian.org>  Mon, 19 Oct 2015 01:38:56 +0000

equivs (2.0.9) unstable; urgency=low

  * Upgrade to Policy 3.9.2 - no changes.
  * Upgrade to source format 1.0 - no changes.
  * Support Breaks.  (Closes: #571638)
  * Move up to debhelper 7.  (Closes: #624175)
  * Fix 'Files:' option to expect an install _directory_.  (Closes: #636310)
  * Let 'Source:' field default to package name but be overridable.
    Based on patch from era erickson.  (Closes: #409557)
  * Improve option handling: allow equivs-build --arch and --full to work
    together.  Previously, with --full, --arch had no effect.

 -- Peter Samuelson <peter@p12n.org>  Fri, 30 Sep 2011 01:22:27 -0500

equivs (2.0.8) unstable; urgency=low

  * Acknowledge NMU, thanks Zack.
  * Also thanks Tomáš Pospíšek for several patches.
  * Use dpkg-buildpackage instead of debuild; drop devscripts dependency.
    (Closes: #475936)
  * Stop specifying debhelper >=4, redundant in this day and age.  At the
    same time, I don't see the point in specifying a higher compat level.
  * Update and improve package description somewhat.  (Closes: #464871)
  * Document including multiple files via the "Files:" field:
    manpage (Closes: #565897), template file (Closes: #464888).
  * Allow +x bit to be specified on File: line.  (Closes: #535622)
  * Preserve +x bit for files in Files: section.  (Closes: #535623)
  * Allow Homepage field.  (Closes: #502395)
  * Fix Makefile pod2man rule.  (Closes: #364620)
  * Bump Standards-Version to 3.8.3 (no changes).
  * Honor $DEBEMAIL, $EMAIL, $DEBFULLNAME, and /etc/mailname for the
    default maintainer address.

 -- Peter Samuelson <peter@p12n.org>  Tue, 19 Jan 2010 22:28:13 -0600

equivs (2.0.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * equivs-build: add support for adding arbitrary extra files to a package.
    Thanks to Anthony Towns for the patch (Closes: #449542)
  * equivs-build: use date -R instead of deprecated 822-date.
    Thanks to Guillem Jover. (Closes: #415797)
  * equivs-build.pod: document the new "Files:" and "File:" fields
  * debian/control: bump Standards-Version to 3.7.3, no changes needed
  * debian/control: move debhelper dependency to Build-Depends, so that it is
    available upon clean

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 22 Jan 2008 12:26:38 +0100

equivs (2.0.7) unstable; urgency=low

  * New maintainer.  (Closes: #350835)
  * Acknowledge NMU.  (Closes: #201852, #218443, #237963, #251547)
  * Add file COPYING, the GNU GPL v2, to top level of source tree.
  * Update both build-time and runtime use of debhelper to v4.
    (Closes: #320619)
  * debian/copyright, debian/rules: cleanups
  * debian/control:
    - standards version 3.6.2 (no changes needed)
    - rewrite description
    - drop 'perl5' alternative dependency; the perl5 package disappeared
      about 3 release cycles ago
  * template/debian/copyright: update FSF address.
  * template/debian/control.in: edit description, set maintainer to
    root@localhost, update standards version, add correct debhelper
    Build-Depends
  * template/debian/rules: streamline somewhat.
  * equivs-build: support Replaces: field.  (Closes: #118526)
  * equivs-build, template/debian/README.Debian.in:
    use "@" instead of the ISO-8859-1 section symbol for the variable
    escapes, to make life slightly easier for users of other charsets.
    - equivs-build.pod: update (and fix) the documentation for this
  * equivs-build: allow comments in control file.
    - template.ctl: comment out most of the entries, to save the user some
      time in common cases.  Also mention that packages lists are all
      comma-separated.
  * equivs-build: Lots of code cleanups.  Highlights:
    - Use File::Temp::tempdir.  This removes the dir upon normal exit.  On
      abend, tell the user where it is so she can examine and remove it.
    - Print usage message to STDERR, not STDOUT
    - Actually bother to close all the files we open
    - die with "\n".  I doubt users care about source code line numbers.
    - 3-arg open(), multi-arg system(), and in general try to look less
      like Perl 4
    - Delete outdated or useless comments, commented-out code, unneeded
      variables, and redundant integrity checks
    - Eliminate most use of global variables
    The net effect is to shrink the file by about 20%.

 -- Peter Samuelson <peter@p12n.org>  Tue, 28 Feb 2006 02:01:16 -0600

equivs (2.0.6-0.1) unstable; urgency=low

  * Non-maintainer upload.

  * equivs-build: fix operator precedence problem.  Applied patch from
  Mattia Dongili.  Closes: #237963, 218443.

  * debian/control: Tweaked the description message, removing the
  misleading phrase "dummy package".  Closes: #201852.

 -- Steve M. Robbins <smr@debian.org>  Fri, 28 May 2004 21:38:59 -0400

equivs (2.0.6) unstable; urgency=low

  * Just to correct some changelog issues
  * Wrong bug closed in 2.0.5 (#131270). The bug was #131260
    (manually closed by me)
  * era eriksson correct mail is era@iki.fi
  * Fixed Control file to Standars-Version 3.5.10

 -- Fabio Rafael da Rosa <f2r@users.sourceforge.net>  Wed, 11 Jun 2003 11:32:56 -0300

equivs (2.0.5) unstable; urgency=low

  * New maintainer. (Closes: #192678)
  * Uptated to Standards-Version 3.5.10
  * Changed some docs to be more clear (patch from eriksson
    <era@there.afraid.org>) (Closes: #163780, #131270)
  * Changed Maintainer sample line in equivs-control to make it clear.
    (Closes: #122041)

 -- Fabio Rafael da Rosa <f2r@users.sourceforge.net>  Thu, 15 May 2003 16:58:59 -0300

equivs (2.0.4) unstable; urgency=low

  * Added Preinst, Postinst, Prerm and Postrm entries to the control file
    for usage with maintainerscripts. Closes: #101198

 -- Martin Bialasinski <martinb@debian.org>  Fri, 29 Jun 2001 22:04:01 +0200

equivs (2.0.3) unstable; urgency=low

  * provide a --arch switch for "cross-compiling" using dpkg-architecture
    closes: #87791

 -- Martin Bialasinski <martinb@debian.org>  Tue, 13 Mar 2001 22:32:44 +0100

equivs (2.0.2) unstable; urgency=low

  * Add build-depends. Closes: #70284

 -- Martin Bialasinski <martinb@debian.org>  Thu, 21 Dec 2000 14:35:39 +0100

equivs (2.0.1) unstable; urgency=low

  * Make equivs-control print usage information, on any option.
    closes: #78799

 -- Martin Bialasinski <martinb@debian.org>  Wed,  6 Dec 2000 23:49:14 +0100

equivs (2.0) unstable; urgency=low

  * No more TODO, remove file
  * Make full FHS complient (change docs etc.)
  * Move files from /usr/lib/equivs to /usr/share/equivs
  * Fix documentation, closes: #66771
  * Call it version 2.0

 -- Martin Bialasinski <martinb@debian.org>  Fri,  7 Jul 2000 17:57:57 +0200

equivs (1.999.12) unstable; urgency=low

  * Fixed some perl -w warnings

 -- Martin Bialasinski <martinb@debian.org>  Sun, 31 Oct 1999 02:48:59 +0100

equivs (1.999.11) unstable; urgency=low

  * Standards Version 3.0.1 also in the equivs-control template

 -- Martin Bialasinski <martinb@debian.org>  Thu, 23 Sep 1999 22:11:20 +0200

equivs (1.999.10) unstable; urgency=low

  * Made FHS complient.
  * Changed license location in copyright file
  * Standard 3.0.1 in the template

 -- Martin Bialasinski <martinb@debian.org>  Thu, 16 Sep 1999 17:28:39 +0200

equivs (1.999.9) unstable; urgency=low

  * Depende on perl|perl5, so that the package can still be used with slink

 -- Martin Bialasinski <martinb@debian.org>  Thu, 29 Jul 1999 23:42:19 +0200

equivs (1.999.8) unstable; urgency=low

  * Added dependency on perl (lintian)
  * corrected spelling (lintian)

 -- Martin Bialasinski <martinb@debian.org>  Wed,  7 Jul 1999 03:47:20 +0200

equivs (1.999.7) unstable; urgency=low

  * Added a Extra-Files: field to the control file where one can add
    files to be put into /usr/doc/packagename
  * Added the --full option, that makes a full build using debuild,
    suitable for upload to the distribution

 -- Martin Bialasinski <martinb@debian.org>  Thu, 24 Jun 1999 21:37:57 +0200

equivs (1.999.6) unstable; urgency=low

  * Added the Readme, Copyright and Changelog fields, so one can
    use own files
  * Renamed make-control to equivs-control and
            make-equivs to equivs-build
    Makes it easier for tab completition. I had to look up the
    names after some time not working on equivs, so the scripts were
    obviously named wrong.
  * Added version header in template control file (Closes #39959)
  * Added manpages (Closes #38148)

 -- Martin Bialasinski <martinb@debian.org>  Tue, 22 Jun 1999 23:11:10 +0200

equivs (1.999.5) unstable; urgency=low

  * Fixed typos in the examples. Closing #36354
    Thanks to "Carl R. Witty" <cwitty@newtonlabs.com>

 -- Martin Bialasinski <martinb@debian.org>  Tue, 20 Apr 1999 18:23:16 +0200

equivs (1.999.4) unstable; urgency=low

  * Examples for Staroffice and Word Perfect were foobar

 -- Martin Bialasinski <martinb@debian.org>  Sun, 18 Apr 1999 15:24:35 +0200

equivs (1.999.3) unstable; urgency=low

  * Make the config parse routine chop trailing whitespace
  * Removed call of dh_link from template rules file, as it is not necessary.
    Fixes #31670
  * Fixed spelling error in description
  * Added a small check, if the equivs directory is not a symlink
    before removing it
  * Changed Depends: fakeroot to Depends: libtricks | fakeroot, until a new
    version of libtricks is released, which provides fakeroot (#31682)
  * Added an example config for a locally installed MTA

 -- Martin Bialasinski <martinb@debian.org>  Wed,  6 Jan 1999 21:13:37 +0100

equivs (1.999.2) unstable; urgency=low

  * Forgot about the "Provides:" dependency
  * Added a umask call, as somehow the README.Debian file was not copied
    correctly
  * Fixes wishlist bug #27215

 -- Martin Bialasinski <martinb@debian.org>  Wed,  6 Jan 1999 13:24:59 +0100

equivs (1.999.1) unstable; urgency=low

  * New Maintainer
  * Complete rewrite. Instead recreating the equivs package, one now
    creates new fake packages
  * No problem with apt anymore. To apt, the information fetched from
    it's sources has precedence over information hold localy by dpkg.
    So a recompiled equivs packages was not recognised correctly.
  * Changed versionnumber to a debian-only one.

 -- Martin Bialasinski <martinb@debian.org>  Mon,  4 Jan 1999 12:35:16 +0100

equivs (1.0.5-3) unstable; urgency=low

  * Upgraded to standards version 2.4.0.0 (no changes).
  * Minor changes to tar routine in debian/rules to make it more reliably.
  * Closing Bug#18921 which was already addressed in former releases.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Sun, 22 Feb 1998 07:49:23 +0100

equivs (1.0.5-2) unstable; urgency=low

  * Added correct FSF postal address into debian/copyright as
    suggested by lintian check.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Sun, 22 Feb 1998 07:49:23 +0100

equivs (1.0.5-1) unstable; urgency=low

  * Complete overhaul (and hopefully simplification) of "equivs".
  * Updated README.debian with a clearer description of the package's
    usage and instructions on how to remove it again. I hope "equivs"
    is pretty foolproof by now.
  * Changed debian/rules and the preinst/postinst files to use the
    configuration file "/etc/equivs.conf".
  * Added debian/purge file.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Sat, 07 Feb 1998 16:34:32 +0100

equivs (1.0.4-2) unstable; urgency=low

  * Changed "Architecture: any" to "Architecture: all" in control file since
    there is no compiled binary included. This closes bug #16878.
  * Minor changes to debian/rules.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Fri, 16 Jan 1998 15:04:03 +0100

equivs (1.0.4-1) unstable; urgency=low

  * Made equivs install it's own source into /usr/src/
  * Put equivs into section admin with priority optional
  * Added warnings about possible damage of package dependencies if
    mindlessly used.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Thu, 04 Dec 1997 05:04:03 +0100

equivs (1.0.3-2) unstable; urgency=low

  * Added a small description of the build procedure to the README.debian
    file upon proposal of <Martin.Bialasinski@uni-koeln.de>.

  * Added credit to Markus Dickebohm <m.dickebohm@uni-koeln.de> for the
    information which enabled me to make up this package. ;-)

  * Various changes to debian/rules so that the current configuration is
    added to the documentation as "/usr/doc/equivs/current.conf".

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Mon, 29 Sep 1997 22:24:03 +0100

equivs (1.0.3-1) unstable; urgency=low

  * Changed freeware license to GPL.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Wed, 26 Mar 1997 14:40:03 +0100

equivs (1.0.2-1) unstable; urgency=low

  * Removed silly copy actions from 'debian/rules'.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Tue, 25 Mar 1997 13:46:03 +0100

equivs (1.0.1-1) unstable; urgency=low

  * Included a sed command for automatically configuring the control file. The
    user now simply has to edit debian/equivs.conf for changing the package.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Sun, 22 Jun 1997 23:36:34 +0100

equivs (1.0) unstable; urgency=low

  * Initial Release.

 -- Paul Seelig <pseelig@goofy.zdv.uni-mainz.de>  Wed, 12 Mar 1997 10:46:03 +0100
